ppd_get_num_conflicts(3)

NAME
ppd_get_num_conflicts - Check a PPD file for conflicts

SYNOPSIS
#include <ppd.h>

int ppd_get_num_conflicts (PpdFile *ppd);

DESCRIPTION
The ppd_get_num_conflicts() function is used to determine the number of option conflicts within a given PPD file. The input to ppd_get_num_conflicts is a pointer to a PpdFile structure which is obtained by one of the ppd_file_new(3) functions.

RETURN VALUE
The integer returned from the functions is the number of option conflicts located in the PPD file. Note that if the input parameter is a NULL pointer, the function will return 0.

SEE ALSO
ppd_file_new(3), ppd_emit_to_file(3), ppd_file_free(3), ppd_find_choice(3), ppd_check_option_is_marked(3), ppd_get_page_length(3)

AUTHOR
This man page was written by Gerald Carter <gcarter@valinux.com>. It was updated by Mark Fasheh <mfasheh@valinux.com> to reflect changes in libppd 0.5 Some of the code for these functions was originally part of the Common UNIX Printing System (CUPS).